POST V1/Alerts.{ext}/AddReleaseForms

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.AlertsAndMessages.Entities.ReleaseForms
NameDescriptionTypeAdditional information
ReleaseNotesId

No description available

integer

None.

Version

No description available

string

None.

Description

No description available

string

None.

FileName

No description available

string

None.

MonthYear

No description available

string

None.

CreatedDate

No description available

string

None.

CreatedBy

No description available

string

None.

ModifiedDate

No description available

string

None.

CategoryName

No description available

string

None.

Title

No description available

string

None.

ReleaseMonth

No description available

string

None.

ReleaseYear

No description available

string

None.

Status

No description available

string

None.

CategoryId

No description available

string

None.

ReleaseMonthValue

No description available

string

None.

TitleForHtml

No description available

string

None.

DescriptionForHtml

No description available

string

None.

ViewCreatedDate

No description available

string

None.

LoginId

No description available

string

None.

ProfileImageType

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "releaseNotesId": 1,
  "version": "sample string 2",
  "description": "sample string 3",
  "fileName": "sample string 4",
  "monthYear": "sample string 5",
  "createdDate": "sample string 6",
  "createdBy": "sample string 7",
  "modifiedDate": "sample string 8",
  "categoryName": "sample string 9",
  "title": "sample string 10",
  "releaseMonth": "sample string 11",
  "releaseYear": "sample string 12",
  "status": "sample string 13",
  "categoryId": "sample string 14",
  "releaseMonthValue": "sample string 15",
  "titleForHtml": "sample string 16",
  "descriptionForHtml": "sample string 17",
  "viewCreatedDate": "sample string 18",
  "loginId": "sample string 19",
  "profileImageType": "sample string 20"
}

application/xml, text/xml

Sample:
<ReleaseForms xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.AlertsAndMessages.Entities">
  <CategoryId>sample string 14</CategoryId>
  <CategoryName>sample string 9</CategoryName>
  <CreatedBy>sample string 7</CreatedBy>
  <CreatedDate>sample string 6</CreatedDate>
  <Description>sample string 3</Description>
  <DescriptionForHtml>sample string 17</DescriptionForHtml>
  <FileName>sample string 4</FileName>
  <LoginId>sample string 19</LoginId>
  <ModifiedDate>sample string 8</ModifiedDate>
  <MonthYear>sample string 5</MonthYear>
  <ProfileImageType>sample string 20</ProfileImageType>
  <ReleaseMonth>sample string 11</ReleaseMonth>
  <ReleaseMonthValue>sample string 15</ReleaseMonthValue>
  <ReleaseNotesId>1</ReleaseNotesId>
  <ReleaseYear>sample string 12</ReleaseYear>
  <Status>sample string 13</Status>
  <Title>sample string 10</Title>
  <TitleForHtml>sample string 16</TitleForHtml>
  <Version>sample string 2</Version>
  <ViewCreatedDate>sample string 18</ViewCreatedDate>
</ReleaseForms>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.